Skip to main content

Model Registry

View as Markdown

Create and manage experiments, features, and other machine learning artifacts

List Transition Requests GA

GET /api/2.0/mlflow/transition-requests/list

Gets a list of all open stage transition requests for the model version.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model.

Example: search_ads_model

versionstringquery

Version of the model.

Example: 1

Response

requestsarray of object

Array of open transition requests.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Approve Transition Request GA

POST /api/2.0/mlflow/transition-requests/approve

Approves a model version stage transition request.

API scopes: mlflow

Request body

namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

stagestring

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

archive_existing_versionsboolean

Specifies whether to archive all current model versions in the target stage.

Example: true

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Create Comment GA

POST /api/2.0/mlflow/comments/create

Posts a comment on a model version. A comment can be submitted either by a user or programmatically to display relevant information about the model. For example, test results or deployment errors.

API scopes: mlflow

Request body

namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

commentobject

New comment object

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Create Transition Request GA

POST /api/2.0/mlflow/transition-requests/create

Creates a model version stage transition request.

API scopes: mlflow

Request body

namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

stagestring

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

requestobject

New activity generated for stage transition request.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Delete Comment GA

DELETE /api/2.0/mlflow/comments/delete

Deletes a comment on a model version.

API scopes: mlflow

Parameters

idstringquery

Unique identifier of an activity

Example: 6fc74c92704341aaa49e74dcc6031057

Delete Transition Request GA

DELETE /api/2.0/mlflow/transition-requests/delete

Cancels a model version stage transition request.

API scopes: mlflow

Parameters

namestringquery

Name of the model.

Example: search_ads_model

versionstringquery

Version of the model.

Example: 1

stagestringquery

Target stage of the transition request. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

Example: Staging

creatorstringquery

Username of the user who created this request. Of the transition requests matching the specified details, only the one transition created by this user will be deleted.

Example: jane.doe@example.com

commentstringquery

User-provided comment on the action.

Example: This version is great!

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Get Registered Model Databricks GA

GET /api/2.0/mlflow/databricks/registered-models/get

Get the details of a model. This is a <Databricks> workspace version of the MLflow endpoint that also returns the model's <Databricks> workspace ID and the permission level of the requesting user on the model.

API scopes: mlflow

Parameters

namestringquery

Registered model unique name identifier.

Response

registered_model_databricksobject
Show child attributesHide child attributes
namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

last_updated_timestampint64

Last update time of the object, as a Unix timestamp in milliseconds.

Example: 1594437549910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

descriptionstring

User-specified description for the object.

Example: Here's some extra info.

Constraints: <= 65535 characters

latest_versionsarray of object

Array of model versions, each the latest version for its stage.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

permission_levelstring

Permission level granted for the requesting user on this registered model

Values: CAN_MANAGE, CAN_EDIT, CAN_READ, CAN_MANAGE_STAGING_VERSIONS, CAN_MANAGE_PRODUCTION_VERSIONS, CAN_CREATE_REGISTERED_MODEL

tagsarray of object

Array of tags associated with the model.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

Reject Transition Request GA

POST /api/2.0/mlflow/transition-requests/reject

Rejects a model version stage transition request.

API scopes: mlflow

Request body

namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

stagestring

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Test Registry Webhook GA

POST /api/2.0/mlflow/registry-webhooks/test

NOTE: This endpoint is in Public Preview. Tests a registry webhook.

API scopes: mlflow

Request body

idstring

Webhook ID

Example: 124323

eventstring

If event is specified, the test trigger uses the specified event. If event is not specified, the test trigger uses a randomly chosen event associated with the webhook.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

Response

status_codeint32

Status code returned by the webhook URL

Example: 200

bodystring

Body of the response from the webhook URL

Example: OK

Transition Model Version Stage Databricks GA

POST /api/2.0/mlflow/databricks/model-versions/transition-stage

Transition a model version's stage. This is a <Databricks> workspace version of the MLflow endpoint that also accepts a comment associated with the transition to be recorded.

API scopes: mlflow

Request body

namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

stagestring

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

archive_existing_versionsboolean

Specifies whether to archive all current model versions in the target stage.

Example: true

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

model_version_databricksobject

Updated model version

Show child attributesHide child attributes
namestring

Name of the model.

Example: search_ads_model

Constraints: [ 1 .. 100 ] characters

versionstring

Version of the model.

Example: 1

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

current_stagestring
descriptionstring

User-specified description for the object.

Example: Here's some extra info.

Constraints: <= 65535 characters

sourcestring

URI that indicates the location of the source model artifacts. This is used when creating the model version.

Example: dbfs:/databricks/mlflow-tracking/run123/model

run_idstring

Unique identifier for the MLflow tracking run associated with the source model artifacts.

Example: 6fc74c92704341aaa49e74dcc6031057

statusstring

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on the current status, for example why registration failed.

Example: Source could not be found.

open_requestsarray of object

Open requests for this model_versions. Gap in sequence number is intentional and is done in order to match field sequence numbers of ModelVersion proto message

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

permission_levelstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ, CAN_MANAGE_STAGING_VERSIONS, CAN_MANAGE_PRODUCTION_VERSIONS, CAN_CREATE_REGISTERED_MODEL

tagsarray of object

Array of tags that are associated with the model version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

email_subscription_statusstring

Email Subscription Status: This is the subscription status of the user to the model version Users get subscribed by interacting with the model version.

Values: ALL_EVENTS, DEFAULT, SUBSCRIBED, UNSUBSCRIBED

feature_listobject

Feature lineage of model_version.

Show child attributesHide child attributes
featuresarray of object
Show child attributesHide child attributes
feature_table_namestring

Feature table name

feature_namestring

Feature name

feature_table_idstring

Feature table id

Update Comment GA

PATCH /api/2.0/mlflow/comments/update

Post an edit to a comment on a model version.

API scopes: mlflow

Request body

idstring

Unique identifier of an activity

Example: 6fc74c92704341aaa49e74dcc6031057

commentstring

User-provided comment on the action.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

Response

commentobject

Updated comment object

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstring

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Values: APPLIED_TRANSITION, REQUESTED_TRANSITION, CANCELLED_REQUEST, APPROVED_REQUEST, REJECTED_REQUEST, NEW_COMMENT, SYSTEM_TRANSITION

commentstring

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

Constraints: [ 1 .. 65535 ] characters

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values: APPROVE_TRANSITION_REQUEST, REJECT_TRANSITION_REQUEST, CANCEL_TRANSITION_REQUEST, EDIT_COMMENT, DELETE_COMMENT

idstring

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

List Latest Versions GA

POST /api/2.0/mlflow/registered-models/get-latest-versions

Gets the latest version of a registered model.

API scopes: mlflow

Request body

namestring

Registered model unique name identifier.

stagesarray of string

List of stages.

Response

model_versionsarray of object

Latest version models for each requests stage. Only return models with current READY status. If no stages provided, returns the latest version for each stage, including "None".

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

Create Model Version GA

POST /api/2.0/mlflow/model-versions/create

Creates a model version.

API scopes: mlflow

Request body

namestring

Register model under this name

sourcestring

URI indicating the location of the model artifacts.

run_idstring

MLflow run ID for correlation, if source was generated by an experiment run in MLflow tracking server

tagsarray of object

Additional metadata for model version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

descriptionstring

Optional description for model version.

Response

model_versionobject

Return new version number generated for this model in registry.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

Delete Model Version GA

DELETE /api/2.0/mlflow/model-versions/delete

Deletes a model version.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model

versionstringquery

Model version number

Delete Model Version Tag GA

DELETE /api/2.0/mlflow/model-versions/delete-tag

Deletes a model version tag.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model that the tag was logged under.

versionstringquery

Model version number that the tag was logged under.

keystringquery

Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.

Delete Registered Model Tag GA

DELETE /api/2.0/mlflow/registered-models/delete-tag

Deletes the tag for a registered model.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model that the tag was logged under.

keystringquery

Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.

Get Model Version GA

GET /api/2.0/mlflow/model-versions/get

Get a model version.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model

versionstringquery

Model version number

Response

model_versionobject
Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

Get Model Version Download Uri GA

GET /api/2.0/mlflow/model-versions/get-download-uri

Gets a URI to download the model version.

API scopes: mlflow

Parameters

namestringquery

Name of the registered model

versionstringquery

Model version number

Response

artifact_uristring

URI corresponding to where artifacts for this model version are stored.

List Registered Models GA

GET /api/2.0/mlflow/registered-models/list

Lists all available registered models, up to the limit specified in max_results.

API scopes: mlflow

Parameters

max_resultsint64query

Maximum number of registered models desired. Max threshold is 1000.

Default: 100

Constraints: <= 1000

page_tokenstringquery

Pagination token to go to the next page based on a previous query.

Response

registered_modelsarray of object
Show child attributesHide child attributes
namestring

Unique name for the model.

creation_timestampint64

Timestamp recorded when this registered_model was created.

last_updated_timestampint64

Timestamp recorded when metadata for this registered_model was last updated.

user_idstring

User that created this registered_model

descriptionstring

Description of this registered_model.

latest_versionsarray of object

Collection of latest model versions for each stage. Only contains models with current READY status.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

tagsarray of object

Tags: Additional metadata key-value pairs for this registered_model.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

next_page_tokenstring

Pagination token to request next page of models for the same query.

Rename Registered Model GA

POST /api/2.0/mlflow/registered-models/rename

Renames a registered model.

API scopes: mlflow

Request body

namestring

Registered model unique name identifier.

new_namestring

If provided, updates the name for this registered_model.

Response

registered_modelobject
Show child attributesHide child attributes
namestring

Unique name for the model.

creation_timestampint64

Timestamp recorded when this registered_model was created.

last_updated_timestampint64

Timestamp recorded when metadata for this registered_model was last updated.

user_idstring

User that created this registered_model

descriptionstring

Description of this registered_model.

latest_versionsarray of object

Collection of latest model versions for each stage. Only contains models with current READY status.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

tagsarray of object

Tags: Additional metadata key-value pairs for this registered_model.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

Search Model Versions GA

GET /api/2.0/mlflow/model-versions/search

Searches for specific model versions based on the supplied filter.

API scopes: mlflow

Parameters

filterstringquery

String filter condition, like "name='my-model-name'". Must be a single boolean condition, with string values wrapped in single quotes.

max_resultsint64query

Maximum number of models desired. Max threshold is 10K.

Default: 10000

Constraints: <= 10000

order_byarray of stringquery

List of columns to be ordered by including model name, version, stage with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by latest stage transition timestamp, followed by name ASC, followed by version DESC.

page_tokenstringquery

Pagination token to go to next page based on previous search query.

Response

model_versionsarray of object

Models that match the search criteria

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

next_page_tokenstring

Pagination token to request next page of models for the same search query.

Search Registered Models GA

GET /api/2.0/mlflow/registered-models/search

Search for registered models based on the specified filter.

API scopes: mlflow

Parameters

filterstringquery

String filter condition, like "name LIKE 'my-model-name'". Interpreted in the backend automatically as "name LIKE '%my-model-name%'". Single boolean condition, with string values wrapped in single quotes.

max_resultsint64query

Maximum number of models desired. Default is 100. Max threshold is 1000.

Default: 100

Constraints: <= 1000

order_byarray of stringquery

List of columns for ordering search results, which can include model name and last updated timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by model name ASC.

page_tokenstringquery

Pagination token to go to the next page based on a previous search query.

Response

registered_modelsarray of object

Registered Models that match the search criteria.

Show child attributesHide child attributes
namestring

Unique name for the model.

creation_timestampint64

Timestamp recorded when this registered_model was created.

last_updated_timestampint64

Timestamp recorded when metadata for this registered_model was last updated.

user_idstring

User that created this registered_model

descriptionstring

Description of this registered_model.

latest_versionsarray of object

Collection of latest model versions for each stage. Only contains models with current READY status.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

tagsarray of object

Tags: Additional metadata key-value pairs for this registered_model.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.

next_page_tokenstring

Pagination token to request the next page of models.

Set Model Version Tag GA

POST /api/2.0/mlflow/model-versions/set-tag

Sets a model version tag.

API scopes: mlflow

Request body

namestring

Unique name of the model.

versionstring

Model version number.

keystring

Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified value. All storage backends are guaranteed to support key values up to 250 bytes in size.

valuestring

String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.

Set Registered Model Tag GA

POST /api/2.0/mlflow/registered-models/set-tag

Sets a tag on a registered model.

API scopes: mlflow

Request body

namestring

Unique name of the model.

keystring

Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified value. All storage backends are guaranteed to support key values up to 250 bytes in size.

valuestring

String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.

Update Model Version GA

PATCH /api/2.0/mlflow/model-versions/update

Updates the model version.

API scopes: mlflow

Request body

namestring

Name of the registered model

versionstring

Model version number

descriptionstring

If provided, updates the description for this registered_model.

Response

model_versionobject

Return new version number generated for this model in registry.

Show child attributesHide child attributes
namestring

Unique name of the model

versionstring

Model's version number.

creation_timestampint64

Timestamp recorded when this model_version was created.

last_updated_timestampint64

Timestamp recorded when metadata for this model_version was last updated.

user_idstring

User that created this model_version.

current_stagestring

Current stage for this model_version.

descriptionstring

Description of this model_version.

sourcestring

URI indicating the location of the source model artifacts, used when creating model_version

run_idstring

MLflow run ID used when creating model_version, if source was generated by an experiment run stored in MLflow tracking server.

statusstring

Current status of model_version

Values: PENDING_REGISTRATION, FAILED_REGISTRATION, READY

status_messagestring

Details on current status, if it is pending or failed.

tagsarray of object

Tags: Additional metadata key-value pairs for this model_version.

Show child attributesHide child attributes
keystring

The tag key.

valuestring

The tag value.